{{- range $auth := .Values.auth }}
{{- if not $auth.creds -}}
  {{- fail "auth element must have a non-empty creds field" -}}
{{- end }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "viking-ingress.authSecretName" ( dict "dot" $ "auth" $auth ) }}
  labels:
    app.kubernetes.io/name: {{ include "viking-ingress.authSecretName" ( dict "dot" $ "auth" $auth ) }}
    app.kubernetes.io/component: authSecret
    viking.uplex.de/secret: auth
    {{- include "viking-ingress.labels" $ | nindent 4 }}
data:
  {{- range $name, $secret := $auth.creds }}
  {{ $name }}: {{ $secret | b64enc }}
  {{- end }}
---
{{- end }}
